Package ru.bitel.bgbilling.kernel.contract.api.common.service

# Interface ContractStatusService

    public interface ContractStatusService

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Interface | Description
  --- | --- | ---
  `static class` | `ContractStatusService.ContractStatusChangeParameters` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `MapHolder<java.lang.String,​java.lang.String>` | `changeContractStatus​(int[] cid, int statusId, java.util.Date dateFrom, java.util.Date dateTo, java.lang.String comment, boolean confirmChecked)` | Смена статуса у договора
  `SearchResult<MonitorStatusResult>` | `contractSearch​(int mode, int statusPeriod, java.lang.String statusPeriodUnit, java.util.Set<java.lang.Integer> group, java.util.Set<java.lang.Integer> notGroup, java.lang.String status, java.lang.String saldoFrom, java.lang.String saldoTo, java.lang.String sort, int subContract, Page page, int saldoAccountMonths, java.math.BigDecimal saldoAcconuntsMore, java.util.Set<java.lang.Integer> serviceAccountMaxServices, float serviceMaxVal, int balanceLimit, int balancePrevLimit)` | поиск договоров
  `MapHolder<java.lang.String,​java.lang.String>` | `contractStatusChange​(int contractId, ContractStatus contractStatus, boolean customer, boolean confirmChecked)` |
  `ContractStatusService.ContractStatusChangeParameters` | `contractStatusChangeParametersGet​(int contractId)` |
  `java.util.List<ContractStatus>` | `contractStatusList​(int contractId, java.util.Date date)` |
  `void` | `createBalanceDump()` | создание среза балансов
  `java.util.List<Status>` | `getStatusList​(boolean onlyManual)` | Возвращает список статусов из конфига сервера
  `java.util.List<Status>` | `statusList()` |

- ## Method Details

  - ### statusList

    java.util.List<Status> statusList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### contractStatusList

    java.util.List<ContractStatus> contractStatusList​(int contractId, java.util.Date date) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### contractStatusChangeParametersGet

    ContractStatusService.ContractStatusChangeParameters contractStatusChangeParametersGet​(int contractId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### contractStatusChange

    MapHolder<java.lang.String,​java.lang.String> contractStatusChange​(int contractId, ContractStatus contractStatus, boolean customer, boolean confirmChecked) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### createBalanceDump

    void createBalanceDump() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    создание среза балансов
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### contractSearch

    SearchResult<MonitorStatusResult> contractSearch​(int mode, int statusPeriod, java.lang.String statusPeriodUnit, java.util.Set<java.lang.Integer> group, java.util.Set<java.lang.Integer> notGroup, java.lang.String status, java.lang.String saldoFrom, java.lang.String saldoTo, java.lang.String sort, int subContract, Page page, int saldoAccountMonths, java.math.BigDecimal saldoAcconuntsMore, java.util.Set<java.lang.Integer> serviceAccountMaxServices, float serviceMaxVal, int balanceLimit, int balancePrevLimit) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    поиск договоров
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getStatusList

    java.util.List<Status> getStatusList​(boolean onlyManual) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Возвращает список статусов из конфига сервера
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### changeContractStatus

    MapHolder<java.lang.String,​java.lang.String> changeContractStatus​(int[] cid, int statusId, java.util.Date dateFrom, java.util.Date dateTo, java.lang.String comment, boolean confirmChecked) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Смена статуса у договора
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`